Retrieves the unavailability with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
user_unavailability| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| date_start |
Date+Time of the beginning |
date |
Required |
| date_end |
Date+Time of the end |
date |
Required |
| modified_dateutc |
Date+Time of the modified |
date |
Required |
| description |
Description of the unavailability |
string |
Max length: 255 |
| is_approved |
Indicate if this object has been approved using a User Week Approval |
boolean | |
| user_id |
User owner of this unavailability |
globally unique identifier |
Optionally required : user_id, user_code or user must be provided |
| user_code |
Embedded entity "user" using ERP PK when adding/updating user_unavailability |
string |
Optionally required : user_id, user_code or user must be provided |
| user |
Embedded entity "user" using node when adding/updating user_unavailability |
user |
Optionally required : user_id, user_code or user must be provided |
| user_unavailability_type_id |
Type of the unavailability, cf model user_unavailability_type |
globally unique identifier |
Required Optionally required : user_unavailability_type_id, user_unavailability_type_code or user_unavailability_type must be provided |
| user_unavailability_type_code |
Embedded entity "user_unavailability_type" using ERP PK when adding/updating user_unavailability |
string |
Optionally required : user_unavailability_type_id, user_unavailability_type_code or user_unavailability_type must be provided |
| user_unavailability_type |
Embedded entity "user_unavailability_type" using node when adding/updating user_unavailability |
user_unavailability_type |
Optionally required : user_unavailability_type_id, user_unavailability_type_code or user_unavailability_type must be provided |
Response Formats
application/json, text/json
{
"id": "ebf4ffa2-d71c-4479-b73d-5e59d90da881",
"date_start": "2026-10-25T10:02:35.175874+00:00",
"date_end": "2026-10-25T10:02:35.175874+00:00",
"modified_dateutc": "2026-10-25T10:02:35.175874+00:00",
"description": "sample string 5",
"is_approved": true,
"user_id": "519678ec-00a6-4a60-9adb-fdab2cc3f535",
"user_code": "sample string 8",
"user": {
"id": "71955c2a-d8ba-48a2-90cc-4a0ab0c45498",
"db_language_id": "49c58b74-01a9-4299-bc57-eee2656eb66e",
"username": "sample string 3",
"firstname": "sample string 4",
"lastname": "sample string 5",
"code": "sample string 6",
"archived": true,
"disabled": true,
"emergency_contact": "sample string 9",
"bankaccount": "sample string 10",
"social_security": "sample string 11",
"place_of_birth": "sample string 12",
"nationality": "sample string 13",
"functions": "sample string 14",
"birthdate": "2026-10-25T10:02:35.175874+00:00",
"skype": "sample string 16",
"notes": "sample string 17",
"sales_organization_id": "8b1fb273-4f4e-4a28-9971-b019a2cc6114",
"sales_organization": {
"id": "6e4a3677-deb7-4880-b2fe-56135b107db0",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "8d7e5caa-6b27-4b1e-b724-7c3961d69e2f",
"db_currency_id": "c3e4c939-5faf-4fed-ba1e-f4d90c5ff21d",
"db_language_id": "9b302761-671f-4cac-a116-f7aa06ba9b1b",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-10-25T10:02:35.175874+00:00"
},
"sales_organization_code": "sample string 19",
"is_team_leader": true,
"team_leader_user_id": "52a67291-c48c-4076-bf3b-4ac1a3db36a2",
"email": "sample string 22",
"phone": "sample string 23",
"fax": "sample string 24",
"mobile": "sample string 25",
"private_email": "sample string 26",
"private_phone": "sample string 27",
"private_fax": "sample string 28",
"private_mobile": "sample string 29",
"private_street": "sample string 30",
"private_street_number": "sample string 31",
"private_city": "sample string 32",
"private_zip": "sample string 33",
"private_db_country_id": "0e5360ca-8670-4f37-9085-cbd8979682c8",
"private_db_country_code": "sample string 35",
"modified_dateutc": "2026-10-25T10:02:35.175874+00:00",
"allow_hero_app": true,
"allow_sales_app": true,
"allow_service_app": true,
"user_group_id": "fbaf9d6a-a847-49d5-9d88-9b71ada5a3ac"
},
"user_unavailability_type_id": "96edf951-c20b-4723-9964-692b3744e79c",
"user_unavailability_type_code": "sample string 10",
"user_unavailability_type": {
"id": "2c6d1eb3-ecb8-4063-9654-3a4b9e5041c4",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"sales_organization_id": "bfd66ff4-ee91-4e68-a3da-b6f4484da8e8",
"sales_organization_code": "sample string 6",
"sales_organization": {
"id": "6e4a3677-deb7-4880-b2fe-56135b107db0",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "8d7e5caa-6b27-4b1e-b724-7c3961d69e2f",
"db_currency_id": "c3e4c939-5faf-4fed-ba1e-f4d90c5ff21d",
"db_language_id": "9b302761-671f-4cac-a116-f7aa06ba9b1b",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-10-25T10:02:35.175874+00:00"
},
"modified_dateutc": "2026-10-25T10:02:35.175874+00:00"
}
}